Hacking Flashcart for DSi 1.4.5 U

Drajek

Member
OP
Newcomer
Joined
Mar 26, 2015
Messages
10
Trophies
0
Age
44
XP
42
Country
United States
I have been reading through the forums and everyone suggests the supercard ds2 but apparently they don't make it anymore due to a new one they are working on. So my question is which flashcart is recommended for DSi 1.4.5 U? I was looking at this site

http://www.buy-acekard.com/dsi-flash-card-flashcart.html

and I have no clue which one supports 1.4.5.U. Greatly appreciate any advice. Thank you!
 
  • Like
Reactions: Margen67

Escamilla

Member
Newcomer
Joined
Mar 9, 2015
Messages
8
Trophies
0
Age
30
XP
32
Country
United States
Seems ak2i also has stopped production for a long time. Actually almost all r4 flashcart can support the dsi 1.45. Recommend you the r4i gold 3ds, i have used for a long time. uses famous wood firmware,with a regular updating and 100% game compatibility and the price is hard to beat at the same time.
 
  • Like
Reactions: Margen67

nxwing

Well-Known Member
Member
Joined
Jul 22, 2013
Messages
2,262
Trophies
1
XP
2,545
Country
Philippines
SuperCard DSTWO is a great cart if you have lots of money since it can support GBA Emulation which is not present in other carts. Meanwhile if you just want a flashcart that plays only DS Games, R4i Gold 3DS RTS is the one you're looking for. Both get updated frequently.
 
  • Like
Reactions: Margen67

Drajek

Member
OP
Newcomer
Joined
Mar 26, 2015
Messages
10
Trophies
0
Age
44
XP
42
Country
United States
Thanks for the advice. So what is a reliable site to use to buy the R4i Gold 3DS RTS? I don't want to get a knock-off or clone. As far as the SuperCard DSTWO goes, I have not found any in reasonable price range. Not paying 50+ for it. Lol Most sites are sold out. Thanks in advance!
 

You may also like...

General chit-chat
Help Users
  • No one is chatting at the moment.
    K3N1 @ K3N1: I keep forgetting that's a thing